Subject: [bug#78385] [PATCH electronics-team] gnu: yosys: Improve package style.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 12 May 2025 20:44:07 +0900

Hi Cayetano,

Cayetano Santos <[email-masked]> writes:

> * gnu/packages/fpga.scm (yosys): Improve package style.
>
> Change-Id: Ifa88e523d1637ba05166000056830faa53b45706
> ---
>
> [arguments] <#:phases> {fix-paths}: Replace search-input-file by this-package-input.

Hm, search-input-file is as good style as this-package-input, if not
better style, as it errors out early when a searched file is missing.
It also plays better with inheritance, as the gexps have a tendency to
bake references that can't be altered (easily) in inherited variants.

> {use-external-abc}: Move to fix-paths phase.

Is there a rationale to this?  I like descriptive phase names, so the
former appears better to me.

I think I'd keep the current status quo here.

-- 
Thanks,
Maxim